<?php

$mysqli = new mysqli('localhost:5030', 'dyss', 'jelszo', 'dyss');
$mysqli->query('set names utf8');
	
$felhasznalo_id = 1;
$cim = 'bem';

$q = 'select id, cim, leiras, indexfajl, megtekintes_db, publikus, letrehozas_datuma 
		from bemutato
		where cim like ? and
			felhasznalo_id = ?';
$stmt = $mysqli->prepare($q);
$stmt->bind_param('si', $cim, $felhasznalo_id);
$felhasznalo_id = 1;
$cim = "%{$cim}%";
$stmt->execute();

$sor = array();
$meta = $stmt->result_metadata();
foreach ($meta->fetch_fields() as $field) {
	$params[] = &$sor[$field->name];
}
call_user_func_array(
	array($stmt, 'bind_result'),
	$params
);

$bemutatok = array();
while ($stmt->fetch()) {
	$bemutatok[] = array(
		'id'				=> $sor['id'],
		'indexfajl'			=> $sor['indexfajl'],
		'cim'				=> $sor['cim'],
		'leiras'			=> $sor['leiras'],
		'megtekintes_db'	=> $sor['megtekintes_db'],
		'publikus'			=> $sor['publikus'] ? 'Igen' : 'Nem',
		'letrehozas_datuma'	=> $sor['letrehozas_datuma'],
	);
}

$stmt->free_result();
$mysqli->close();

?>
<!-------------------------------------------------------------------------->
<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div id="inner_content">
					<h2>Bejelentkezés után tölteni kell! bemutatói</h2>
					<p><a href="uj_bemutato.php" class="button"><span>Új bemutató létrehozása</span></a></p>
					<ul class="lista">
					<!-- Dinamikus tartalom kezdete: bemutatólista -->
					<?php foreach ($bemutatok as $bemutato) : ?>
						<li>
							<div class="fo">
								<a href="#">
									<img src="<?php echo $bemutato['indexfajl']; ?>" /><br />
								</a>
								<div class="info">
									<h4><?php echo $bemutato['cim']; ?></h4>
									<p class="kisbetu"><?php echo $bemutato['leiras']; ?></p>
									<p class="kisbetu">
										Megtekintések: <?php echo $bemutato['megtekintes_db']; ?><br />
										Publikus: <?php echo $bemutato['publikus']; ?><br />
										Létrehozva: <?php echo $bemutato['letrehozas_datuma']; ?>
									</p>
								</div>
							</div>
							<div class="funkciok">
								<ul>
									<li><a href="#">Megtekint</a></li>
									<li><a href="bemutato_szerkeszt.php?id=<?php echo $bemutato['id']; ?>">Szerkeszt</a></li>
									<li><a href="bemutato_torol.php?id=<?php echo $bemutato['id']; ?>">Töröl</a></li>
								</ul>
							</div>
						</li>
					<?php endforeach; ?>
					<!-- Dinamikus tartalom vége: bemutatólista -->
					</ul>
					<div class="separator"></div>
				</div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
