<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>

		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div id="inner_content">
					<h2>Bejelentkezés után tölteni kell! bemutatói</h2>
					<p><a href="uj_bemutato.php" class="button"><span>Új bemutató létrehozása</span></a></p>
					<ul class="lista">
					<!-- Dinamikus tartalom kezdete: bemutatólista -->
<?php

try {
	$dbh = new PDO('mysql:host=localhost:5030;dbname=dyss', 'dyss', 'jelszo');
	$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$dbh->exec('set names utf8');

	$felhasznalo_id = 1;
	$cim = 'bem';

	$q = 'select id, cim, leiras, indexfajl, megtekintes_db, publikus, letrehozas_datuma 
			from bemutatoooooo
			where cim like ? and
				felhasznalo_id = ?';
	$stmt = $dbh->prepare( $q );
	$stmt->bindParam(1, $cim, PDO::PARAM_STR);
	$stmt->bindParam(2, $felhasznalo_id, PDO::PARAM_INT);
	$cim = "%{$cim}%";
	$stmt->execute();

	while ($sor = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$sor['publikus'] = $sor['publikus'] ? 'Igen' : 'Nem';
		echo <<<VEGE
							<li>
								<div class="fo">
									<a href="#">
										<img src="{$sor['indexfajl']}" /><br />
									</a>
									<div class="info">
										<h4>{$sor['cim']}</h4>
										<p class="kisbetu">{$sor['leiras']}</p>
										<p class="kisbetu">
											Megtekintések: {$sor['megtekintes_db']}<br />
											Publikus: {$sor['publikus']}<br />
											Létrehozva: {$sor['letrehozas_datuma']}
										</p>
									</div>
								</div>
								<div class="funkciok">
									<ul>
										<li><a href="#">Megtekint</a></li>
										<li><a href="bemutato_szerkeszt.php?id={$sor['id']}">Szerkeszt</a></li>
										<li><a href="bemutato_torol.php?id={$sor['id']}">Töröl</a></li>
									</ul>
								</div>
							</li>

VEGE;
	}

	$dbh = null;
}
catch (PDOException $e) { 
	echo "Hiba történt : {$e->getMessage()}";
	die();
}
catch (Exception $e) { 
	echo "Hiba történt : {$e->getMessage()}";
	die();
}

?>
					<!-- Dinamikus tartalom vége: bemutatólista -->
					</ul>
					<div class="separator"></div>
				</div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
