<?php

class DB {

    private $mysqli;
    private $result;
    private $stmt;
    private $row;
	private $databinding;

    function __construct() {
        $this->mysqli = new mysqli(SERVERNAME, USERNAME, PWD, DBNAME);

        if (mysqli_connect_error()) {
            die('Connect Error (' . mysqli_connect_errno() . ') '
                    . mysqli_connect_error());
        }

        $this->mysqli->query('set names utf8');
    }

    function disconnect() {
        $this->mysqli->close();
    }

    function exec( $query, $types = null, $params = null ) {
		if (is_null($types)) {
			$this->databinding = false;
			$this->result = $this->mysqli->query( $query );
			return $this->result;
		}
		else {
			$this->databinding = true;
			
			$this->stmt = $this->mysqli->prepare( $query );
			call_user_func_array(array($this->stmt, 'bind_param'), array_merge(array($types), $params));
			$this->stmt->execute();

			return $this->stmt->affected_rows;
		}
    }

    function query( $query, $types = null, $params = null) {
		if (is_null($types)) {
			$this->databinding = false;
			$this->result = $this->mysqli->query( $query );
			return $this->result;
		}
		else {
			$this->databinding = true;
			$this->stmt = $this->mysqli->prepare( $query );
			call_user_func_array(array($this->stmt, 'bind_param'), array_merge(array($types), $params));
			$this->stmt->execute();

			$meta = $this->stmt->result_metadata();

			$this->row = array();
			$params = array();
			foreach ($meta->fetch_fields() as $field) {
				$params[] = &$this->row[$field->name];
			}

			call_user_func_array(array($this->stmt, 'bind_result'), $params);

			$meta->free_result();

			return $this->stmt;
		}
    }

    function getnextrow() {
		if (!$this->databinding) {
			if ( $this->result )	{
				$row = $this->result->fetch_assoc();
			} else {
				$row = 0;
			}
			return $row;
		}
		else {
			if ( $this->stmt->fetch() ) {
				$sor = array();
				foreach ($this->row as $field => $value) {
					$sor[$field] = $value;
				}
				return $sor;
			} else {
				return 0;
			}
		}
    }

    function freeresultset() {
        if ($this->result) {
            $this->result->free();
        }
        if ($this->stmt) {
            $this->stmt->free_result();
        }
    }
}

?>
