<?php

$errors = array();
$cim = '';
$leiras = '';

if ($_POST) {
	$cim = $_POST['cim'];
	$leiras = $_POST['leiras'];
	
	if (trim($cim) == '') {
		$errors[] = 'A név kitöltése kötelező!';
	}
	if (trim($leiras) == '') {
		$errors[] = 'A leírás kitöltése kötelező!';
	}
	
	if (empty($errors)) {
		$dbh = new PDO('mysql:host=localhost:5030;dbname=dyss', 'dyss', 'jelszo');
		$dbh->exec('set names utf8');

		$q = "insert into bemutato 
				(cim, leiras, felhasznalo_id) values 
				(:cim, :leiras, 1)";
		$stmt = $dbh->prepare( $q );
		$stmt->bindParam(':cim', $cim, PDO::PARAM_STR);
		$stmt->bindParam(':leiras', $leiras, PDO::PARAM_STR);
		$stmt->execute();
		//vagy
//		$stmt->execute(array(
//			':cim'		=> $cim,
//			':leiras'	=> $leiras,
//		));
		$dbh = null;
			
		header('Location: bemutatok_pdo.php');
		exit();
	}
}

?>
<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>

		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div id="inner_content">
					<h2>Új bemutató adatai</h2>
					<?php if (!empty($errors)) : ?>
					<div class="error">
						<ul>
						<?php foreach ($errors as $error) : ?>
							<li><?php echo $error; ?></li>
						<?php endforeach; ?>
						</ul>
					</div>
					<?php endif; ?>
					<form action="uj_bemutato_pdo.php" method="post" accept-charset="utf-8" class="big">
						<dl>
							<dt><label for="cim">Cím</label></dt>
							<dd><input type="text" name="cim" value="<?php echo $cim; ?>" id="cim" class="text"  /></dd>

							<dt><label for="leiras">Leírás</label></dt>
							<dd><textarea name="leiras" cols="90" rows="12" id="leiras" class="text" ><?php echo $leiras; ?></textarea></dd>
							<dd><input type="submit" name="uj_bemutato" value="Létrehoz" class="button"  /></dd>
						</dl>
					</form>
				</div>
				<div class="separator"></div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
